Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

We're retiring the forums!

The SilverStripe forums have passed their heyday. They'll stick around, but will be read only. We'd encourage you to get involved in the community via the following channels instead:

Upgrading SilverStripe /

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, Ed, biapar, Willr, Ingo, swaiba

Upgrading to 3.1 using composer


Go to End


3 Posts   1380 Views

Avatar
zard

Community Member, 25 Posts

2 October 2013 at 10:57pm

Hi,

I've installed my current version using:

composer create-project silverstripe/installer ./my/website/folder 3.0.3

Is there any way to tell composer to download the 3.1 and upgrade the framework + CMS? I do not have any custom modules bar the standard CMS and unit testing.

Avatar
zard

Community Member, 25 Posts

3 October 2013 at 10:33pm

.. nobody?

Avatar
martimiz

Forum Moderator, 1391 Posts

4 October 2013 at 2:51am

Edited: 04/10/2013 2:52am

I think you should be able to change the "require" settings in the composer.json file in the root of your install. Something like:

"require": {
	"php": ">=5.3.2",
	"silverstripe/framework": "3.1.0",
	"silverstripe/cms": "3.1.0"
	...

then do composer update

Note: Make a backup first, and check Packagist for other versions you might want, like for instance 3.0.x-dev